Package com.google.protobuf

# Class RepeatedFieldBuilderV3<MType extends AbstractMessage,BType extends AbstractMessage.Builder,IType extends MessageOrBuilder>

java.lang.Object
com.google.protobuf.RepeatedFieldBuilderV3<MType,BType,IType>

All Implemented Interfaces:
  `AbstractMessage.BuilderParent`

public class RepeatedFieldBuilderV3<MType extends AbstractMessage,BType extends AbstractMessage.Builder,IType extends MessageOrBuilder> extends Object implements AbstractMessage.BuilderParent
Deprecated.
This class is deprecated, and slated for removal in the next breaking change. Users should update gencode to >= 4.26.x which replaces RepeatedFieldBuilderV3 with RepeatedFieldBuilder.
Stub for RepeatedFieldBuilderV3 matching RepeatedFieldBuilder for compatibility with older gencode. This cannot wrap RepeatedFieldBuilder directly due to RepeatedFieldBuilder having more restrictive extends GeneratedMessage for MType and BType.

## Constructor Summary

Constructors
Constructor
Description
`RepeatedFieldBuilderV3(List<MType> messages, boolean isMessagesListMutable, AbstractMessage.BuilderParent parent, boolean isClean)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`RepeatedFieldBuilderV3<MType,BType,IType>`
`addAllMessages(Iterable<? extends MType> values)`
Deprecated.
`BType`
`addBuilder(int index, MType message)`
Deprecated.
`BType`
`addBuilder(MType message)`
Deprecated.
`RepeatedFieldBuilderV3<MType,BType,IType>`
`addMessage(int index, MType message)`
Deprecated.
`RepeatedFieldBuilderV3<MType,BType,IType>`
`addMessage(MType message)`
Deprecated.
`List<MType>`
`build()`
Deprecated.
`void`
`clear()`
Deprecated.
`void`
`dispose()`
Deprecated.
`BType`
`getBuilder(int index)`
Deprecated.
`List<BType>`
`getBuilderList()`
Deprecated.
`int`
`getCount()`
Deprecated.
`MType`
`getMessage(int index)`
Deprecated.
`List<MType>`
`getMessageList()`
Deprecated.
`IType`
`getMessageOrBuilder(int index)`
Deprecated.
`List<IType>`
`getMessageOrBuilderList()`
Deprecated.
`boolean`
`isEmpty()`
Deprecated.
`void`
`markDirty()`
Deprecated.
`void`
`remove(int index)`
Deprecated.
`RepeatedFieldBuilderV3<MType,BType,IType>`
`setMessage(int index, MType message)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RepeatedFieldBuilderV3

@Deprecated public RepeatedFieldBuilderV3(List<MType> messages, boolean isMessagesListMutable, AbstractMessage.BuilderParent parent, boolean isClean)
Deprecated.

## Method Details

### dispose

@Deprecated public void dispose()
Deprecated.

### getCount

@Deprecated public int getCount()
Deprecated.

### isEmpty

@Deprecated public boolean isEmpty()
Deprecated.

### getMessage

@Deprecated public MType getMessage(int index)
Deprecated.

### getBuilder

@Deprecated public BType getBuilder(int index)
Deprecated.

### getMessageOrBuilder

@Deprecated public IType getMessageOrBuilder(int index)
Deprecated.

### setMessage

@Deprecated @CanIgnoreReturnValue public RepeatedFieldBuilderV3<MType,BType,IType> setMessage(int index, MType message)
Deprecated.

### addMessage

@Deprecated @CanIgnoreReturnValue public RepeatedFieldBuilderV3<MType,BType,IType> addMessage(MType message)
Deprecated.

### addMessage

@Deprecated @CanIgnoreReturnValue public RepeatedFieldBuilderV3<MType,BType,IType> addMessage(int index, MType message)
Deprecated.

### addAllMessages

@Deprecated @CanIgnoreReturnValue public RepeatedFieldBuilderV3<MType,BType,IType> addAllMessages(Iterable<? extends MType> values)
Deprecated.

### addBuilder

@Deprecated public BType addBuilder(MType message)
Deprecated.

### addBuilder

@Deprecated public BType addBuilder(int index, MType message)
Deprecated.

### remove

@Deprecated public void remove(int index)
Deprecated.

### clear

@Deprecated public void clear()
Deprecated.

### build

@Deprecated public List<MType> build()
Deprecated.

### getMessageList

@Deprecated public List<MType> getMessageList()
Deprecated.

### getBuilderList

@Deprecated public List<BType> getBuilderList()
Deprecated.

### getMessageOrBuilderList

@Deprecated public List<IType> getMessageOrBuilderList()
Deprecated.

### markDirty

@Deprecated public void markDirty()
Deprecated.
Description copied from interface: `AbstractMessage.BuilderParent`
A builder becomes dirty whenever a field is modified -- including fields in nested builders -- and becomes clean when build() is called. Thus, when a builder becomes dirty, all its parents become dirty as well, and when it becomes clean, all its children become clean. The dirtiness state is used to invalidate certain cached values.

To this end, a builder calls markDirty() on its parent whenever it transitions from clean to dirty. The parent must propagate this call to its own parent, unless it was already dirty, in which case the grandparent must necessarily already be dirty as well. The parent can only transition back to "clean" after calling build() on all children.

Specified by:
  `markDirty` in interface `AbstractMessage.BuilderParent`